Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.autotune
Class AutotuneAgentDataBean

    java.lang.Object
      com.ibm.able.autotune.AutotuneAgentDataBean

All Implemented Interfaces:
  AutotuneDataBean, java.io.Serializable

public class AutotuneAgentDataBean
extends java.lang.Object
implements java.io.Serializable, AutotuneDataBean

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `arg1`
`protected int` | `arg2`
`protected double` | `arg3`
`protected java.lang.String` | `arg4`
`protected int` | `arg5`
`protected double` | `arg6`
`protected AutotuneAgentIf` | `myAgent`

Method Summary
`void` | `load()` Copy data from the underlying bean or agent to this object
`void` | `save()` Copy data from this object to the underlying bean or agent
`void` | `save(AutotuneAgentIf theAgent)` Copy data from this object to the underlying bean or agent

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myAgent

    protected AutotuneAgentIf myAgent

### arg1

    protected java.lang.String arg1

### arg2

    protected int arg2

### arg3

    protected double arg3

### arg4

    protected java.lang.String arg4

### arg5

    protected int arg5

### arg6

    protected double arg6

Method Detail

### load

    public void load()
              throws AbleException

  Copy data from the underlying bean or agent to this object

  Specified by:
    `load` in interface `AutotuneDataBean`
  Throws:
    `AbleException`

### save

    public void save(AutotuneAgentIf theAgent)
              throws AbleException

  Copy data from this object to the underlying bean or agent

  Specified by:
    `save` in interface `AutotuneDataBean`
  Throws:
    `AbleException`

### save

    public void save()
              throws AbleException

  Copy data from this object to the underlying bean or agent

  Specified by:
    `save` in interface `AutotuneDataBean`
  Throws:
    `AbleException`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005